Rewrd API
  1. Customers
Rewrd API
  • Customers
    • Create or Update a Customer
      POST
    • List Customers
      GET
    • Get a Customer
      GET
    • Update a Customer
      PUT
    • Restrict a Customer
      PATCH
    • Unrestrict a Customer
      PATCH
  • Merchant
    • Get Merchant Configuration
      GET
    • Update Merchant Configuration
      PATCH
    • List Earning Rules
      GET
    • Get Earning Rule Details
      GET
    • Get IP Whitelist
      GET
    • Update IP Whitelist
      PUT
    • Get Merchant Analytics
      GET
  • Points
    • Credit Points to a Customer
      POST
    • Redeem Points
      POST
    • Get Customer Transaction History
      GET
  1. Customers

List Customers

GET
/customers
Retrieves a paginated list of all customers belonging to your merchant account.
You can filter results by email or phone_number to quickly find specific customers. Results are sorted by creation date (newest first).

Request

Authorization
JWT Bearer
Add the parameter
Authorization
to Headers
Example:
Authorization: ********************
or
Query Params

Responses

🟢200OK
application/json
List of customers retrieved successfully.
Body

🟠401Unauthorized
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request GET '/customers?page=1&limit=20&email=jane@example.com&phone_number=+2348012345678' \
--header 'Authorization: Bearer <token>'
Response Response Example
200 - Example 1
{
    "status": true,
    "message": "Customers retrieved successfully",
    "data": [
        {
            "uid": "cust_abc123def456",
            "email": "jane@example.com",
            "phone_number": "+2348012345678",
            "first_name": "Jane",
            "last_name": "Doe",
            "date_of_birth": "1995-06-15",
            "status": "active",
            "points_balance": 1500,
            "created_at": "2026-01-15T10:30:00.000Z"
        }
    ],
    "pagination": {
        "page": 1,
        "limit": 50,
        "total": 150,
        "total_pages": 3
    }
}
Modified at 2026-02-25 12:17:15
Previous
Create or Update a Customer
Next
Get a Customer
Built with